package com.loafle.overflow.central.module.infra.dao;

import com.loafle.overflow.model.infra.Infra;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by insanity on 17. 6. 23.
 */
@Repository
public interface InfraDAO extends JpaRepository<Infra, Long> {
  List<Infra> findAllByProbeId(Long probeId);

  List<Infra> findAllByProbeDomainId(Long probeDomainId);

  Page<Infra> findAllByProbeId(Long probeId, Pageable pageable);

  Page<Infra> findAllByProbeIdIn(List<Long> probeIds, Pageable pageable);

  Page<Infra> findAllByProbeDomainId(Long probeDomainId, Pageable pageable);
}