package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaSensorItemDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaSensorItem;
import com.loafle.overflow.service.central.meta.MetaSensorItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaSensorItemService")
public class CentralMetaSensorItemService implements MetaSensorItemService {

    @Autowired
    private MetaSensorItemDAO metaSensorItemDAO;


    public List<MetaSensorItem> readAll() throws OverflowException {
        return this.metaSensorItemDAO.findAll();
    }
}
